Subject: Re: Question about 'branch -d' safety

From: Nicolas Sebrecht <[email-masked]>
Date: Tue, 29 Dec 2009 23:31:23 +0100

The 30/12/09, Nanako Shiraishi wrote:

> I think the safety feature should check if the branch to be deleted is merged to the remote tracking branch it was forked from, instead of checking the current branch.
> 
> What do you think?

I think we shouldn't. At first, every repository don't have a remote.
This may easily be passed by a "double check" with a logical OR between
the two statements.

But even with it, we would hit some foreign workflow. Think: Bob
directly push to Alice and Alice does the same to Bob. I don't use this
kind of workflow myself but I consider them to be sensible enough to
have our attention.

Now, I'm talking about what users may expect from the default behaviour.
I'm not against a new configuration variable. It would certainly give
more granularity to the expectation of "what is safe for me".

-- 
Nicolas Sebrecht